# GESFormatter

    GObject
        ╰──GInitiallyUnowned
            ╰──GESFormatter
                ╰──GESBaseXmlFormatter
                ╰──GESCommandLineFormatter
                ╰──GESPitiviFormatter

Base class for timeline data serialization and deserialization.

### Members

`parent` (GInitiallyUnowned) –
No description available

### Class structure

#### GESFormatterClass

GES Formatter class. Override the vmethods to implement the formatter functionnality.

##### Fields

`parent_class` (GInitiallyUnownedClass) –

the parent class structure

`can_load_uri` (GESFormatterCanLoadURIMethod) –

Whether the URI can be loaded

`load_from_uri` (GESFormatterLoadFromURIMethod) –

class method to deserialize data from a URI

`save_to_uri` (GESFormatterSaveToURIMethod) –

class method to serialize data to a URI

### GES.FormatterClass

GES Formatter class. Override the vmethods to implement the formatter functionnality.

##### Attributes

`parent_class` (GObject.InitiallyUnownedClass) –

the parent class structure

`vfunc_can_load_uri` (GES.FormatterCanLoadURIMethod) –

Whether the URI can be loaded

`vfunc_load_from_uri` (GES.FormatterLoadFromURIMethod) –

class method to deserialize data from a URI

`vfunc_save_to_uri` (GES.FormatterSaveToURIMethod) –

class method to serialize data to a URI

### GES.FormatterClass

GES Formatter class. Override the vmethods to implement the formatter functionnality.

##### Attributes

`parent_class` (GObject.InitiallyUnownedClass) –

the parent class structure

`do_can_load_uri` (GES.FormatterCanLoadURIMethod) –

Whether the URI can be loaded

`do_load_from_uri` (GES.FormatterLoadFromURIMethod) –

class method to deserialize data from a URI

`do_save_to_uri` (GES.FormatterSaveToURIMethod) –

class method to serialize data to a URI

## GES.Formatter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.Formatter
                ╰──GES.BaseXmlFormatter
                ╰──GES.CommandLineFormatter
                ╰──GES.PitiviFormatter

Base class for timeline data serialization and deserialization.

### Members

`parent` (GObject.InitiallyUnowned) –
No description available

## GES.Formatter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.Formatter
                ╰──GES.BaseXmlFormatter
                ╰──GES.CommandLineFormatter
                ╰──GES.PitiviFormatter

Base class for timeline data serialization and deserialization.

### Members

`parent` (GObject.InitiallyUnowned) –
No description available

### Methods

#### ges_formatter_load_from_uri

    gboolean
    ges_formatter_load_from_uri (GESFormatter * formatter,
                                 GESTimeline * timeline,
                                 const gchar * uri,
                                 GError ** error)

Load data from the given URI into timeline.

Parameters:

`formatter` –

a GESFormatter

`timeline` –

a GESTimeline

`uri` –

a gchar * pointing to a URI

`error` –

A GError that will be set in case of error

Returns –

TRUE if the timeline data was successfully loaded from the URI, else FALSE.

deprecated : 1.18: Use @ges_timeline_load_from_uri

#### GES.Formatter.prototype.load_from_uri

    function GES.Formatter.prototype.load_from_uri(timeline: GES.Timeline, uri: String): {
        // javascript wrapper for 'ges_formatter_load_from_uri'
    }

Load data from the given URI into timeline.

Parameters:

`formatter` (GES.Formatter) –

a GES.Formatter

`timeline` (GES.Timeline) –

a GES.Timeline

`uri` (String) –

a String * pointing to a URI

Returns (Number) –

TRUE if the timeline data was successfully loaded from the URI, else FALSE.

deprecated : 1.18: Use @ges_timeline_load_from_uri

#### GES.Formatter.load_from_uri

    @raises(GLib.GError)
    def GES.Formatter.load_from_uri (self, timeline, uri):
        #python wrapper for 'ges_formatter_load_from_uri'

Load data from the given URI into timeline.

Parameters:

`formatter` (GES.Formatter) –

a GES.Formatter

`timeline` (GES.Timeline) –

a GES.Timeline

`uri` (str) –

a int * pointing to a URI

Returns (bool) –

TRUE if the timeline data was successfully loaded from the URI, else FALSE.

deprecated : 1.18: Use @ges_timeline_load_from_uri

#### ges_formatter_save_to_uri

    gboolean
    ges_formatter_save_to_uri (GESFormatter * formatter,
                               GESTimeline * timeline,
                               const gchar * uri,
                               gboolean overwrite,
                               GError ** error)

Save data from timeline to the given URI.

Parameters:

`formatter` –

a GESFormatter

`timeline` –

a GESTimeline

`uri` –

a gchar * pointing to a URI

`overwrite` –

TRUE to overwrite file if it exists

`error` –

A GError that will be set in case of error

Returns –

TRUE if the timeline data was successfully saved to the URI else FALSE.

deprecated : 1.18: Use @ges_timeline_save_to_uri

#### GES.Formatter.prototype.save_to_uri

    function GES.Formatter.prototype.save_to_uri(timeline: GES.Timeline, uri: String, overwrite: Number): {
        // javascript wrapper for 'ges_formatter_save_to_uri'
    }

Save data from timeline to the given URI.

Parameters:

`formatter` (GES.Formatter) –

a GES.Formatter

`timeline` (GES.Timeline) –

a GES.Timeline

`uri` (String) –

a String * pointing to a URI

`overwrite` (Number) –

true to overwrite file if it exists

Returns (Number) –

TRUE if the timeline data was successfully saved to the URI else FALSE.

deprecated : 1.18: Use @ges_timeline_save_to_uri

#### GES.Formatter.save_to_uri

    @raises(GLib.GError)
    def GES.Formatter.save_to_uri (self, timeline, uri, overwrite):
        #python wrapper for 'ges_formatter_save_to_uri'

Save data from timeline to the given URI.

Parameters:

`formatter` (GES.Formatter) –

a GES.Formatter

`timeline` (GES.Timeline) –

a GES.Timeline

`uri` (str) –

a int * pointing to a URI

`overwrite` (bool) –

True to overwrite file if it exists

Returns (bool) –

TRUE if the timeline data was successfully saved to the URI else FALSE.

deprecated : 1.18: Use @ges_timeline_save_to_uri

### Class Methods

#### ges_formatter_class_register_metas

    ges_formatter_class_register_metas (GESFormatterClass * klass,
                                        const gchar * name,
                                        const gchar * description,
                                        const gchar * extensions,
                                        const gchar * caps,
                                        gdouble version,
                                        GstRank rank)

Parameters:

`klass` –

The class to register metas on

`name` –

The name of the formatter

`description` –

The formatter description

`extensions` –

A list of coma separated file extensions handled by the formatter. The order of the extensions should match the list of the structures inside caps

`caps` –

The caps the formatter handled, they should match what gstreamer typefind mechanism will report for the files the formatter handles.

`version` –

The version of the formatter

`rank` –

The rank of the formatter

#### GES.FormatterClass.prototype.register_metas

    function GES.FormatterClass.prototype.register_metas(klass: GES.FormatterClass, name: String, description: String, extensions: String, caps: String, version: Number, rank: Gst.Rank): {
        // javascript wrapper for 'ges_formatter_class_register_metas'
    }

Parameters:

`klass` (GES.FormatterClass) –

The class to register metas on

`name` (String) –

The name of the formatter

`description` (String) –

The formatter description

`extensions` (String) –

A list of coma separated file extensions handled by the formatter. The order of the extensions should match the list of the structures inside caps

`caps` (String) –

The caps the formatter handled, they should match what gstreamer typefind mechanism will report for the files the formatter handles.

`version` (Number) –

The version of the formatter

`rank` (Gst.Rank) –

The rank of the formatter

### Functions

#### ges_formatter_can_load_uri

    gboolean
    ges_formatter_can_load_uri (const gchar * uri,
                                GError ** error)

Checks if there is a GESFormatter available which can load a GESTimeline from the given URI.

Parameters:

`uri` –

a gchar * pointing to the URI

`error` –

A GError that will be set in case of error

Returns –

TRUE if there is a GESFormatter that can support the given uri or FALSE if not.

#### GES.Formatter.prototype.can_load_uri

    function GES.Formatter.prototype.can_load_uri(uri: String): {
        // javascript wrapper for 'ges_formatter_can_load_uri'
    }

Checks if there is a GES.Formatter available which can load a GES.Timeline from the given URI.

Parameters:

`uri` (String) –

a String * pointing to the URI

Returns (Number) –

TRUE if there is a GES.Formatter that can support the given uri or FALSE if not.

#### GES.Formatter.can_load_uri

    @raises(GLib.GError)
    def GES.Formatter.can_load_uri (uri):
        #python wrapper for 'ges_formatter_can_load_uri'

Checks if there is a GES.Formatter available which can load a GES.Timeline from the given URI.

Parameters:

`uri` (str) –

a int * pointing to the URI

Returns (bool) –

TRUE if there is a GES.Formatter that can support the given uri or FALSE if not.

#### ges_formatter_can_save_uri

    gboolean
    ges_formatter_can_save_uri (const gchar * uri,
                                GError ** error)

Returns TRUE if there is a GESFormatter available which can save a GESTimeline to the given URI.

Parameters:

`uri` –

a gchar * pointing to a URI

`error` –

A GError that will be set in case of error

Returns –

TRUE if the given uri is supported, else FALSE.

#### GES.Formatter.prototype.can_save_uri

    function GES.Formatter.prototype.can_save_uri(uri: String): {
        // javascript wrapper for 'ges_formatter_can_save_uri'
    }

Returns TRUE if there is a GES.Formatter available which can save a GES.Timeline to the given URI.

Parameters:

`uri` (String) –

a String * pointing to a URI

Returns (Number) –

TRUE if the given uri is supported, else FALSE.

#### GES.Formatter.can_save_uri

    @raises(GLib.GError)
    def GES.Formatter.can_save_uri (uri):
        #python wrapper for 'ges_formatter_can_save_uri'

Returns TRUE if there is a GES.Formatter available which can save a GES.Timeline to the given URI.

Parameters:

`uri` (str) –

a int * pointing to a URI

Returns (bool) –

TRUE if the given uri is supported, else FALSE.

#### ges_formatter_get_default

    GESAsset *
    ges_formatter_get_default ()

Get the default GESAsset to use as formatter. It will return the asset for the GESFormatter that has the highest rank

Returns ( [transfer: none]) –

The GESAsset for the formatter with highest rank

#### GES.Formatter.prototype.get_default

    function GES.Formatter.prototype.get_default(): {
        // javascript wrapper for 'ges_formatter_get_default'
    }

Get the default GES.Asset to use as formatter. It will return the asset for the GES.Formatter that has the highest rank

Returns (GES.Asset) –

The GES.Asset for the formatter with highest rank

#### GES.Formatter.get_default

    def GES.Formatter.get_default ():
        #python wrapper for 'ges_formatter_get_default'

Get the default GES.Asset to use as formatter. It will return the asset for the GES.Formatter that has the highest rank

Returns (GES.Asset) –

The GES.Asset for the formatter with highest rank

### Virtual Methods

#### can_load_uri

    gboolean
    can_load_uri (GESFormatter * dummy_instance,
                  const gchar * uri,
                  GError ** error)

Whether the URI can be loaded

Parameters:

`dummy_instance` –
No description available
`uri` –
No description available
`error` –
No description available
Returns –
No description available

#### vfunc_can_load_uri

    function vfunc_can_load_uri(dummy_instance: GES.Formatter, uri: String): {
        // javascript implementation of the 'can_load_uri' virtual method
    }

Whether the URI can be loaded

Parameters:

`dummy_instance` (GES.Formatter) –
No description available
`uri` (String) –
No description available
Returns (Number) –
No description available

#### do_can_load_uri

    def do_can_load_uri (dummy_instance, uri):
        #python implementation of the 'can_load_uri' virtual method

Whether the URI can be loaded

Parameters:

`dummy_instance` (GES.Formatter) –
No description available
`uri` (str) –
No description available
Returns (bool) –
No description available

#### load_from_uri

    gboolean
    load_from_uri (GESFormatter * formatter,
                   GESTimeline * timeline,
                   const gchar * uri,
                   GError ** error)

class method to deserialize data from a URI

Parameters:

`formatter` –
No description available
`timeline` –
No description available
`uri` –
No description available
`error` –
No description available
Returns –
No description available

#### vfunc_load_from_uri

    function vfunc_load_from_uri(formatter: GES.Formatter, timeline: GES.Timeline, uri: String): {
        // javascript implementation of the 'load_from_uri' virtual method
    }

class method to deserialize data from a URI

Parameters:

`formatter` (GES.Formatter) –
No description available
`timeline` (GES.Timeline) –
No description available
`uri` (String) –
No description available
Returns (Number) –
No description available

#### do_load_from_uri

    def do_load_from_uri (formatter, timeline, uri):
        #python implementation of the 'load_from_uri' virtual method

class method to deserialize data from a URI

Parameters:

`formatter` (GES.Formatter) –
No description available
`timeline` (GES.Timeline) –
No description available
`uri` (str) –
No description available
Returns (bool) –
No description available

#### save_to_uri

    gboolean
    save_to_uri (GESFormatter * formatter,
                 GESTimeline * timeline,
                 const gchar * uri,
                 gboolean overwrite,
                 GError ** error)

class method to serialize data to a URI

Parameters:

`formatter` –
No description available
`timeline` –
No description available
`uri` –
No description available
`overwrite` –
No description available
`error` –
No description available
Returns –
No description available

#### vfunc_save_to_uri

    function vfunc_save_to_uri(formatter: GES.Formatter, timeline: GES.Timeline, uri: String, overwrite: Number): {
        // javascript implementation of the 'save_to_uri' virtual method
    }

class method to serialize data to a URI

Parameters:

`formatter` (GES.Formatter) –
No description available
`timeline` (GES.Timeline) –
No description available
`uri` (String) –
No description available
`overwrite` (Number) –
No description available
Returns (Number) –
No description available

#### do_save_to_uri

    def do_save_to_uri (formatter, timeline, uri, overwrite):
        #python implementation of the 'save_to_uri' virtual method

class method to serialize data to a URI

Parameters:

`formatter` (GES.Formatter) –
No description available
`timeline` (GES.Timeline) –
No description available
`uri` (str) –
No description available
`overwrite` (bool) –
No description available
Returns (bool) –
No description available

## Functions

### ges_find_formatter_for_uri

    GESAsset *
    ges_find_formatter_for_uri (const gchar * uri)

Get the best formatter for uri. It tries to find a formatter compatible with uri extension, if none is found, it returns the default formatter asset.

Parameters:

`uri` –
No description available
Returns ( [transfer: none]) –

The GESAsset for the best formatter to save to uri

Since : 1.18

### GES.prototype.find_formatter_for_uri

    function GES.prototype.find_formatter_for_uri(uri: String): {
        // javascript wrapper for 'ges_find_formatter_for_uri'
    }

Get the best formatter for uri. It tries to find a formatter compatible with uri extension, if none is found, it returns the default formatter asset.

Parameters:

`uri` (String) –
No description available
Returns (GES.Asset) –

The GES.Asset for the best formatter to save to uri

Since : 1.18

### GES.find_formatter_for_uri

    def GES.find_formatter_for_uri (uri):
        #python wrapper for 'ges_find_formatter_for_uri'

Get the best formatter for uri. It tries to find a formatter compatible with uri extension, if none is found, it returns the default formatter asset.

Parameters:

`uri` (str) –
No description available
Returns (GES.Asset) –

The GES.Asset for the best formatter to save to uri

Since : 1.18

## Constants

### GES_TYPE_FORMATTER

    #define GES_TYPE_FORMATTER ges_formatter_get_type()

## Callbacks

### GESFormatterCanLoadURIMethod

    gboolean
    (*GESFormatterCanLoadURIMethod) (GESFormatter * dummy_instance,
                                     const gchar * uri,
                                     GError ** error)

Parameters:

`dummy_instance` –
No description available
`uri` –
No description available
`error` –
No description available
Returns –
No description available

### GES.FormatterCanLoadURIMethod

    function GES.FormatterCanLoadURIMethod(dummy_instance: GES.Formatter, uri: String): {
        // javascript wrapper for 'GESFormatterCanLoadURIMethod'
    }

Parameters:

`dummy_instance` (GES.Formatter) –
No description available
`uri` (String) –
No description available
Returns (Number) –
No description available

### GES.FormatterCanLoadURIMethod

    def GES.FormatterCanLoadURIMethod (dummy_instance, uri):
        #python wrapper for 'GESFormatterCanLoadURIMethod'

Parameters:

`dummy_instance` (GES.Formatter) –
No description available
`uri` (str) –
No description available
Returns (bool) –
No description available

### GESFormatterLoadFromURIMethod

    gboolean
    (*GESFormatterLoadFromURIMethod) (GESFormatter * formatter,
                                      GESTimeline * timeline,
                                      const gchar * uri,
                                      GError ** error)

Virtual method for loading a timeline from a given URI.

Every GESFormatter subclass needs to implement this method.

Parameters:

`formatter` –

a GESFormatter

`timeline` –

a GESTimeline

`uri` –

the URI to load from

`error` –

An error to be set in case something wrong happens or NULL

Returns –

TRUE if the timeline was properly loaded from the given uri, else FALSE.

### GES.FormatterLoadFromURIMethod

    function GES.FormatterLoadFromURIMethod(formatter: GES.Formatter, timeline: GES.Timeline, uri: String): {
        // javascript wrapper for 'GESFormatterLoadFromURIMethod'
    }

Virtual method for loading a timeline from a given URI.

Every GES.Formatter subclass needs to implement this method.

Parameters:

`formatter` (GES.Formatter) –

a GES.Formatter

`timeline` (GES.Timeline) –

a GES.Timeline

`uri` (String) –

the URI to load from

Returns (Number) –

TRUE if the timeline was properly loaded from the given uri, else FALSE.

### GES.FormatterLoadFromURIMethod

    def GES.FormatterLoadFromURIMethod (formatter, timeline, uri):
        #python wrapper for 'GESFormatterLoadFromURIMethod'

Virtual method for loading a timeline from a given URI.

Every GES.Formatter subclass needs to implement this method.

Parameters:

`formatter` (GES.Formatter) –

a GES.Formatter

`timeline` (GES.Timeline) –

a GES.Timeline

`uri` (str) –

the URI to load from

Returns (bool) –

TRUE if the timeline was properly loaded from the given uri, else FALSE.

### GESFormatterSaveToURIMethod

    gboolean
    (*GESFormatterSaveToURIMethod) (GESFormatter * formatter,
                                    GESTimeline * timeline,
                                    const gchar * uri,
                                    gboolean overwrite,
                                    GError ** error)

Virtual method for saving a timeline to a uri.

Every GESFormatter subclass needs to implement this method.

Parameters:

`formatter` –

a GESFormatter

`timeline` –

a GESTimeline

`uri` –

the URI to save to

`overwrite` –

Whether the file should be overwritten in case it exists

`error` –

An error to be set in case something wrong happens or NULL

Returns –

TRUE if the timeline was properly stored to the given uri, else FALSE.

### GES.FormatterSaveToURIMethod

    function GES.FormatterSaveToURIMethod(formatter: GES.Formatter, timeline: GES.Timeline, uri: String, overwrite: Number): {
        // javascript wrapper for 'GESFormatterSaveToURIMethod'
    }

Virtual method for saving a timeline to a uri.

Every GES.Formatter subclass needs to implement this method.

Parameters:

`formatter` (GES.Formatter) –

a GES.Formatter

`timeline` (GES.Timeline) –

a GES.Timeline

`uri` (String) –

the URI to save to

`overwrite` (Number) –

Whether the file should be overwritten in case it exists

Returns (Number) –

TRUE if the timeline was properly stored to the given uri, else FALSE.

### GES.FormatterSaveToURIMethod

    def GES.FormatterSaveToURIMethod (formatter, timeline, uri, overwrite):
        #python wrapper for 'GESFormatterSaveToURIMethod'

Virtual method for saving a timeline to a uri.

Every GES.Formatter subclass needs to implement this method.

Parameters:

`formatter` (GES.Formatter) –

a GES.Formatter

`timeline` (GES.Timeline) –

a GES.Timeline

`uri` (str) –

the URI to save to

`overwrite` (bool) –

Whether the file should be overwritten in case it exists

Returns (bool) –

TRUE if the timeline was properly stored to the given uri, else FALSE.

Subpages:

ges xml formatter

The results of the search are